Bug 56903 - Missing comma-Separator in StandardContexts getRessourceOnlyServlets - CID-45051
Missing comma-Separator in StandardContexts getRessourceOnlyServlets - CID-45051
Status: RESOLVED FIXED
Product: Tomcat 8
Classification: Unclassified
Component: Catalina
8.0.x-trunk
All All
: P2 minor (vote)
: ----
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2014-08-31 10:57 UTC by Felix Schumacher
Modified: 2014-09-03 15:43 UTC (History)
0 users



Attachments
Set flag in loop, so that commata are generated in between servlet names (1.01 KB, patch)
2014-08-31 10:57 UTC, Felix Schumacher
Details | Diff
Set flag in loop, so that commata are generated in between servlet names plus test case (2.42 KB, patch)
2014-08-31 13:43 UTC, Felix Schumacher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Schumacher 2014-08-31 10:57:51 UTC
Created attachment 31956 [details]
Set flag in loop, so that commata are generated in between servlet names

A missing setting of a flag in a loop prevented the generation of commata in between serlvet names in StandardContext#getRessourceOnlyServlets.
Comment 1 Felix Schumacher 2014-08-31 13:43:13 UTC
Created attachment 31957 [details]
Set flag in loop, so that commata are generated in between servlet names plus test case
Comment 2 Mark Thomas 2014-09-01 10:41:10 UTC
Thanks for the fix. I have applied a variation of the patch (inverted logic and simpler test) to 8.0.x which will be included in 8.0.13 onwards.
Comment 3 Violeta Georgieva 2014-09-03 15:43:13 UTC
Fix is committed to 7.0.x and will be available in 7.0.56 onwards.